Videos APIEndpoints

Duplicate a video

POST
/v1/videos/{id}/duplicates

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your VTurb API token (vt_...). Sent as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/v1/videos/652f2b1e8f1b2c3d4e5f6a7b/duplicates" \  -H "Content-Type: application/json" \  -d '{    "name": "Landing hero (v2)"  }'
{  "description": null,  "folder_id": null,  "id": "652f2b1e8f1b2c3d4e5f6a7c",  "status": "ready",  "name": "Copy of Landing hero",  "controls": {    "backward": null,    "big_play": null,    "forward": null,    "fullscreen": null,    "play_pause": null,    "seekbar": null,    "time": null,    "volume": null,    "fake_bar": null,    "speed": null  },  "call_actions": {    "enabled": false,    "items": []  },  "alternative_video": {    "enabled": null,    "id": null  },  "traffic_filter": {    "enabled": null,    "fallback_video_id": null,    "token": null,    "languages": null,    "countries": null,    "devices": null,    "query_params": null,    "block_proxy": null  },  "styles": {    "background_color": null,    "foreground_color": null,    "border_radius": null,    "linear_gradient": {      "enabled": null,      "angle": null,      "primary_color": null,      "primary_stop": null,      "secondary_color": null,      "secondary_stop": null    }  },  "general": {    "currency": null,    "pitch_time": null,    "preload_type": null,    "start_quality": null  },  "immersive_mode": {    "enabled": null,    "desktop": null,    "disable_scrolling": null,    "expand_on_play": null,    "minimize_on_pause": null,    "mobile": null  },  "mini_hooks": {    "enabled": null,    "elements": []  },  "pixels": {    "enabled": null,    "items": []  },  "playback": {    "enabled": null,    "disable_pause": null,    "scroll_to_action_in": null,    "smart_pause": null,    "action_after_finish": {      "type": null,      "start": null    }  },  "subtitle": {    "enabled": null,    "control": null,    "track": {      "name": null,      "url": null    },    "style": {      "font_size": null,      "color": null,      "background_color": null,      "text_align": null,      "bottom": null,      "max_width": null,      "show_by_default": null    }  },  "thumbsniper": {    "enabled": null,    "background_color": null,    "images": {      "start": null,      "pause": null,      "finish": null    },    "cards": []  },  "turbo": {    "enabled": null,    "mode": "single",    "speed": null  },  "headline": {    "enabled": null,    "mode": "single",    "active_number": null,    "variants": []  },  "progress_bar": {    "enabled": null,    "height": null,    "use_base_color": null,    "current_color": null,    "color": null  },  "resume": {    "enabled": null,    "disable_pause": null,    "styles": {      "background_color": null,      "foreground_color": null    },    "texts": {      "play": null,      "replay": null,      "title": null    }  },  "smart_autoplay": {    "enabled": null,    "active_number": null,    "mode": "single",    "variants": []  }}